۰

تجهیزات اینترنت اشیا، همچنان در معرض تهدید آسیب‌پذیری‌های Ripple۲۰

تاریخ انتشار
سه شنبه ۳ تير ۱۳۹۹ ساعت ۱۶:۰۵
تجهیزات اینترنت اشیا همچنان در معرض تهدید آسیب‌پذیری‌های Ripple۲۰
تجهیزات اینترنت اشیا همچنان در معرض تهدید آسیب‌پذیری‌های Ripple۲۰

آی‌تی‌من- به گزارش مرکز افتا، به نقل از پایگاه اینترنتی ZDNet، تعداد دستگاه‌های آسیب‌پذیر صدها میلیون مورد برآورد شده و محصولاتی مانند دستگاه‌های هوشمند خانگی، تجهیزات شبکه برق، سیستم‌های مراقبت از سلامت، سیستم‌های صنعتی، سامانه‌های حمل‌ونقل، چاپگرها، روترها، تجهیزات ارتباطی موبایلی/ماهواره‌ای، دستگاه‌های مرکز داده، تجهیزات تجاری مورد استفاده در هواپیماها، انواع راهکارهای سازمانی و موارد متعدد دیگری را شامل می‌شود.

اکنون کارشناسان نگرانند که بسیاری از محصولاتی که از این کتابخانه استفاده می‌کنند به دلیل پیچیدگی و زنجیره‌های تأمین نرم‌افزاری غیرقابل ردیابی، آسیب‌پذیر باقی بمانند.

بسیاری از شرکت‌هایی که در حال استفاده از این مجموعه کدها هستند، به دلیل عدم اطلاع از این موضوع سامانه خود را آسیب‌پذیر به آن نمی‌دانند.

مجموعه این آسیب‌پذیری‌ها که از آنها با عنوان Ripple۲۰ یاد شده کتابخانه کوچکی را که توسط شرکت نرم‌افزاری Treck توسعه یافته متأثر می‌کند.

گفته می‌شود که این کتابخانه که در سال ۱۹۹۷ عرضه شده، یک استک TCP/IP سبک را پیاده‌سازی می‌کند. برای دهه‌ها شرکت‌ها از این کتابخانه برای قادر کردن دستگاه‌ها یا نرم‌افزارهایشان به برقراری ارتباط با اینترنت از طریق پودمان TCP/IP استفاده کرده‌اند.

از سپتامبر ۲۰۱۹ پژوهشگران این کتابخانه را به دلیل استفاده گسترده از آن در صنعت، تجهیرات مراقبت از سلامت و دستگاه‌های هوشمند مورد بررسی قرار داده‌اند.
نتیجه تحقیق آنها کشف آسیب‌پذیری‌هایی جدی در کتابخانه مذکور است.
Treck تأیید کرده که اصلاحیه‌های لازم برای تمامی این آسیب‌پذیری‌ها در دسترس قرار گرفته است.

البته پژوهشگران نیز اعلام کردند که کار شناسایی دستگاه‌های آسیب‌پذیر هنوز خاتمه نیافته است. آن‌ها دلیل انتخاب عنوان Ripple۲۰ را نه وجود ۲۰ آسیب‌پذیری بلکه گسترده بودن دامنه آنها، افشای عمومی آن در سال ۲۰۲۰ و احتمالاً استمرار کشف دستگاه‌های آسیب‌پذیر در سال‌های پیش‌رو اعلام کرده است.

پرچالش‌ترین اقدام، شناسایی دستگاه‌هایی است که کتابخانه Treck TCP/IP در آنها لحاظ شده و بسیاری از سازندگان تجهیزات نیاز دارند تا کد خود را مورد بررسی قرار دهند.

گرچه همه آسیب‌پذیری‌های Ripple۲۰ جدی تلقی نمی‌شوند اما همان تعداد اندک به‌شدت خطرناک بوده و امکان به کنترل گرفتن دستگاه از راه دور را برای مهاجم فراهم می‌کنند.

مطابق با استاندارد CVSSv۳ میزان حساسیت دو مورد از این آسیب‌پذیری‌ها ۱۰ و دو مورد از آنها ۹,۸ است. فهرست چهار آسیب‌پذیری مذکور به شرح زیر است:
  • ♦  CVE-۲۰۲۰-۱۱۸۹۶،  ضعفی با میزان حساسیت ۱۰ بوده و از مدیریت نادرست ناهماهنگی در طول پارامتر در پودمان IPv۴/UDP در زمان مدیریت بسته ارسالی توسط یک مهاجم اصالت‌سنجی نشده در بستر شبکه ناشی می‌شود. بهره‌جویی از این آسیب‌پذیری می تواند منجر به اجرای کد به صورت از راه دور شود.
    ♦   CVE-۲۰۲۰-۱۱۸۹۷، ضعفی با میزان حساسیت ۱۰ بوده و از مدیریت نادرست ناهماهنگی در طول پارامتر در پودمان IPv۶ در زمان مدیریت بسته ارسالی توسط یک مهاجم اصالت‌سنجی نشده در بستر شبکه ناشی می‌شود. بهره‌جویی از این آسیب‌پذیری می‌تواند منجر به نوشتن در خارج از محدوده مجاز شود.
    ♦   CVE-۲۰۲۰-۱۱۸۹۸، ضعفی با میزان حساسیت ۹,۸ بوده و از مدیریت نادرست ناهماهنگی در طول پارامتر در پودمان IPv۴/ICMPv۴ در زمان مدیریت بسته ارسالی توسط یک مهاجم اصالت‌سنجی نشده در بستر شبکه ناشی می‌شود. این آسیب‌پذیری می‌تواند منجر به افشای اطلاعات شود.

    ♦  CVE-۲۰۲۰-۱۱۸۹۹، ضعفی با میزان حساسیت ۹,۸ بوده و از راستی‌آزمایی نادرست در پودمان IPv۶ در زمان مدیریت بسته ارسالی توسط یک مهاجم اصالت‌سنجی نشده در بستر شبکه ناشی می‌شود. بهره‌جویی از این آسیب‌پذیری می‌تواند منجر به افشای اطلاعات شود.
سوءاستفاده از این چهار آسیب‌پذیری مهاجم را قادر می‌کند تا به آسانی کنترل بسیاری از دستگاه‌های هوشمند، تجهیزات صنعتی و دستگاه‌های مراقبت از سلامت را در اختیار بگیرد. در صورت آنلاین بودن دستگاه، حمله به آن در بستر اینترنت ممکن بوده و چنانچه دستگاه متصل به شبکه محلی باشد مهاجمی که به آن شبکه دسترسی دارد (برای مثال از طریق یک روتر هک شده) امکان بهره‌جویی از آن را خواهد داشت.

این چهار آسیب‌پذیری برای گردانندگان بات‌نت می‌تواند گزینه‌ای مناسب برای تسخیر دستگاه‌ها باشد. همینطور در حملات هدفمند نیز می‌تواند گزینه‌ای مخرب برای نفوذ به شبکه‌های مورد نظر باشد. بررسی تمامی سیستم‌ها از لحاظ وجود آسیب‌پذیری‌های Ripple۲۰ و توجه خاص به ترمیم چهار آسیب‌پذیری حیاتی اشاره شده اهمیتی ویژه داشته و به دلیل گسترده بودن دامنه تجهیزات آسیب‌پذیر این موضوع باید یکی از اولویت‌های امنیتی سازمان‌ها باشد.

برخی منابع شدت و دامنه آسیب‌پذیری‌های Ripple۲۰ را هم‌رده با ضعف‌های امنیتی Urgent/۱۱ که در جولای ۲۰۱۹ افشا شدند می دانند و همچنان تا به امروز دستگاه‌هایی آسیب‌پذیر به آن کشف می‌شوند توصیف کرده‌اند. به خصوص آنکه آسیب‌پذیری‌های Urgent/۱۱ نیز از استک شبکه‌ای (TCP/IP (IPnet در سیستم عامل بلارنگ VxWorks که به‌طور گسترده در تجهیزات IoT مورد استفاده قرار می‌گیرند ناشی می‌شود.

همچون Urgent/۱۱ انتظار می‌رود که برخی محصولات نیز به دلیل از رده خارج شدن یا پایان پشتیبانی سازنده از آنها به Ripple۲۰ آسیب‌پذیر باقی بمانند.

 
کد مطلب : ۲۷۳۷۳۴
ارسال نظر
نام شما

آدرس ايميل شما

پربيننده ترين